@book{fuzzing_book,
author = {Sutton, Michael and Greene, Adam and Amini, Pedram},
title = {Fuzzing: Brute Force Vulnerability Discovery},
year = {2007},
isbn = {0321446119},
publisher = {Addison-Wesley Professional},
}

@ARTICLE{state_of_the_art,
author={Liang, Hongliang and Pei, Xiaoxiao and Jia, Xiaodong and Shen, Wuwei and Zhang, Jian},
journal={IEEE Transactions on Reliability},
title={Fuzzing: State of the Art},
year={2018},
volume={67},
number={3},
pages={1199-1218},
doi={10.1109/TR.2018.2834476}
}

@ARTICLE{violating_assumptions,
  doi = {10.1109/msp.2005.55},
  url = {https://doi.org/10.1109/msp.2005.55},
  year = {2005},
  month = mar,
  publisher = {Institute of Electrical and Electronics Engineers ({IEEE})},
  volume = {3},
  number = {2},
  pages = {58--62},
  author = {P. Oehlert},
  title = {Violating Assumptions with Fuzzing},
  journal = {{IEEE} Security and Privacy Magazine}
}

@article{empirical,
  doi = {10.1145/96267.96279},
  url = {https://doi.org/10.1145/96267.96279},
  year = {1990},
  month = dec,
  publisher = {Association for Computing Machinery ({ACM})},
  volume = {33},
  number = {12},
  pages = {32--44},
  author = {Barton P. Miller and Louis Fredriksen and Bryan So},
  title = {An empirical study of the reliability of {UNIX} utilities},
  journal = {Communications of the {ACM}}
}

@book{fuzzing_miller,
author = {Takanen, Ari and Demott, Jared D. and Miller, Charles},
title = {Fuzzing for Software Security Testing and Quality Assurance},
year = {2018},
isbn = {1608078507},
publisher = {Artech House, Inc.},
address = {USA},
edition = {2nd},
}

@online{clang_coverage,
	title = {Source-based {Code} {Coverage} — {Clang} 15.0.0git documentation},
	url = {https://clang.llvm.org/docs/SourceBasedCodeCoverage.html},
	urldate = {2022-02-21},
	author = {{The Clang Team}},
}

@online{sancov,
	title = {{SanitizerCoverage} — {Clang} 15.0.0git documentation},
	url = {https://clang.llvm.org/docs/SanitizerCoverage.html},
	urldate = {2022-02-21},
	author = {{The Clang Team}},
}

@unpublished{ben_nagy_windows_2013,
	title= {Windows {Kernel} {Fuzzing} {For} {Beginners}},
	author = {Nagy, Ben},
	year = {2013},
	note= {Ruxcon 2013},
	url = {https://www.youtube.com/watch?v=FY-33TUKlqY},
	urldate = {2022-02-26},
}

@unpublished{clusterfuzz_talk,
	title = {{ClusterFuzz}: {Fuzzing} at {Google} {Scale}},
	shorttitle = {{ClusterFuzz}},
	url = {https://www.youtube.com/watch?v=uK1irCH5cM0},
	urldate = {2022-02-28},
	author = {Arya, Abhishek and Chang, Oliver},
	year = {2020},
	note= {Black Hat Europe 2019},
}

@online{gcp,
	title = {Google {Cloud} {Platform}},
	url = {https://cloud.google.com/},
	abstract = {Meet your business challenges head on with cloud computing services from Google, including data management, hybrid \&amp; multi-cloud, and AI \&amp; ML.},
	language = {en},
	urldate = {2022-02-28},
	journal = {Google Cloud},
}

@online{clusterfuzz,
	title = {{ClusterFuzz}},
	url = {https://google.github.io/clusterfuzz/},
	abstract = {Documentation for ClusterFuzz},
	language = {en-US},
	urldate = {2022-02-28},
	journal = {ClusterFuzz},
}

@online{oss-fuzz,
	title = {{OSS}-{Fuzz}},
	url = {https://google.github.io/oss-fuzz/},
	abstract = {Documentation for OSS-Fuzz},
	language = {en-US},
	urldate = {2022-02-28},
	journal = {OSS-Fuzz},
}

@online{clusterfuzz-arch,
	title = {{ClusterFuzz} {Architecture}},
	url = {https://google.github.io/clusterfuzz/architecture/},
	abstract = {Documentation for ClusterFuzz},
	language = {en-US},
	urldate = {2022-02-28},
	journal = {ClusterFuzz},
}

@online{clusterfuzz-black-vs-gray,
	title = {Coverage guided vs blackbox fuzzing},
	url = {https://google.github.io/clusterfuzz/reference/coverage-guided-vs-blackbox/},
	abstract = {Documentation for ClusterFuzz},
	language = {en-US},
	urldate = {2022-03-14},
	journal = {ClusterFuzz},
}

@inproceedings{entropic,
	doi = {10.1145/3368089.3409748},
	url = {https://doi.org/10.1145/3368089.3409748},
	year = {2020},
	month = nov,
	publisher = {{ACM}},
	author = {Marcel B\"{o}hme and Valentin J. M. Man{\`{e}}s and Sang Kil Cha},
	title = {Boosting fuzzer efficiency: an information theoretic perspective},
	booktitle = {Proceedings of the 28th {ACM} Joint Meeting on European Software Engineering Conference and Symposium on the Foundations of Software Engineering}
}

@online{value_profile,
	title = {{libFuzzer} - a library for coverage-guided fuzz testing. - Value Profile - {LLVM} 15.0.0git documentation},
	url = {https://llvm.org/docs/LibFuzzer.html#value-profile},
	urldate = {2022-03-14},
}

@online{radamsa,
	title = {radamsa Project Page},
	url = {https://gitlab.com/akihe/radamsa},
	language = {en},
	urldate = {2022-03-14},
	journal = {GitLab},
}

@article{MAB,
  doi = {10.1287/moor.12.2.262},
  url = {https://doi.org/10.1287/moor.12.2.262},
  year = {1987},
  month = may,
  publisher = {Institute for Operations Research and the Management Sciences ({INFORMS})},
  volume = {12},
  number = {2},
  pages = {262--268},
  author = {Michael N. Katehakis and Arthur F. Veinott},
  title = {The Multi-Armed Bandit Problem: Decomposition and Computation},
  journal = {Mathematics of Operations Research}
}

@inproceedings{ensemble_fuzzing,
author = {Chen, Yuanliang and Jiang, Yu and Ma, Fuchen and Liang, Jie and Wang, Mingzhe and Zhou, Chijin and Jiao, Xun and Su, Zhuo},
title = {EnFuzz: Ensemble Fuzzing with Seed Synchronization among Diverse Fuzzers},
year = {2019},
isbn = {9781939133069},
publisher = {USENIX Association},
address = {USA},
booktitle = {Proceedings of the 28th USENIX Conference on Security Symposium},
pages = {1967–1983},
numpages = {17},
location = {Santa Clara, CA, USA},
series = {SEC'19}
}

@online{libfuzzer,
	title = {{libFuzzer} – a library for coverage-guided fuzz testing. — {LLVM} 15.0.0git documentation},
	url = {https://llvm.org/docs/LibFuzzer.html},
	urldate = {2022-03-14},
}

@online{aflpp,
	title = {{AFL}++},
	url = {https://github.com/AFLplusplus/AFLplusplus},
	urldate = {2022-04-15},
}

@online{honggfuzz,
	title = {Honggfuzz},
	url = {https://github.com/google/honggfuzz},
	urldate = {2022-04-15},
}

@online{afl,
	title = {american fuzzy lop},
	url = {https://lcamtuf.coredump.cx/afl/},
	urldate = {2022-03-14},
}

@online{afl_technical,
	title = {Technical "whitepaper" for afl-fuzz},
	url = {https://lcamtuf.coredump.cx/afl/technical_details.txt},
	urldate = {2022-05-12},
}

@online{oss-fuzz-github,
	title = {{OSS}-{Fuzz}: {Continuous} {Fuzzing} for {Open} {Source} {Software}},
	copyright = {Apache-2.0},
	shorttitle = {{OSS}-{Fuzz}},
	url = {https://github.com/google/oss-fuzz},
	abstract = {OSS-Fuzz - continuous fuzzing for open source software.},
	urldate = {2022-04-11},
	publisher = {Google},
	month = apr,
	year = {2022},
	note = {original-date: 2016-07-20T19:39:50Z},
	keywords = {fuzz-testing, fuzzing, oss-fuzz, security, stability, vulnerabilities},
}

@online{oss-fuzz-announcing,
	title = {Announcing {OSS}-{Fuzz}: {Continuous} fuzzing for open source software},
	shorttitle = {Announcing {OSS}-{Fuzz}},
	url = {https://opensource.googleblog.com/2016/12/announcing-oss-fuzz-continuous-fuzzing.html},
	urldate = {2022-04-11},
	journal = {Google Open Source Blog},
}

@online{oss-fuzz-issues,
	title = {{OSS}-{Fuzz} {Issue} {Tracker}},
	url = {https://bugs.chromium.org/p/oss-fuzz/issues/list?q=-status%3AWontFix%2CDuplicate%20-component%3AInfra&can=1},
	urldate = {2022-04-11},
}

@online{oss-fuzz-accepting,
	title = {{OSS}-{Fuzz}: {Accepting} new projects},
	url = {https://google.github.io/oss-fuzz/getting-started/accepting-new-projects/},
	abstract = {Documentation for OSS-Fuzz},
	language = {en-US},
	urldate = {2022-04-12},
	journal = {OSS-Fuzz},
}

@online{oss-fuzz-setting,
	title = {{OSS}-{Fuzz}: {Setting} up a new project},
	url = {https://google.github.io/oss-fuzz/getting-started/new-project-guide/},
	abstract = {Documentation for OSS-Fuzz},
	language = {en-US},
	urldate = {2022-04-12},
	journal = {OSS-Fuzz},
}

@online{oss-fuzz-arch,
	title = {{OSS}-{Fuzz}: {Architecture}},
	url = {https://google.github.io/oss-fuzz/architecture/},
	abstract = {Documentation for OSS-Fuzz},
	language = {en-US},
	urldate = {2022-04-12},
	journal = {OSS-Fuzz},
	file = {Snapshot:/home/dan/Zotero/storage/NSWCDJFP/architecture.html:text/html},
}

@online{docker,
	title = {Docker},
	url = {https://www.docker.com/},
	language = {en-US},
	urldate = {2022-04-12},
	journal = {Docker},
}

@PhdThesis{Broz2019thesis,
        AUTHOR = {Brož, Milan},
        TITLE = {Authenticated and Resilient Disk Encryption},
        YEAR = {2019},
        TYPE = {Doctoral thesis},
        INSTITUTION = {Masaryk University, Faculty of Informatics},
        LOCATION = {Brno},
        SUPERVISOR = {Václav Matyáš},
        URL = {https://is.muni.cz/th/vesfr/},
        URL_DATE = {2022-04-20},
}

@PhdThesis{LUKS_phd,
    author = {Clemens Fruhwirth},
    title = {New methods in hard disk encryption},
    institution = {Vienna University of Technology},
    year = {2005},
}

@online{cryptsetup,
	title = {The cryptsetup {Project} {Page}},
	url = {https://gitlab.com/cryptsetup/cryptsetup/},
	urldate = {2022-04-15},
}

@book{json,
    title     = {{ECMA-404}: The {JSON} Data Interchange Format},
    author    = {{ECMA}},
    publisher = {{ECMA} ({European Association for Standardizing Information and Communication Systems})},
    address   = {Geneva, Switzerland},
    year      = {2013},
    url       = {http://www.ecma-international.org/publications/standards/Ecma-404.htm}
}

@online{cryptsetup_210_release_notes,
	title = {Cryptsetup 2.1.0 {Release} {Notes}},
	url = {https://mirrors.edge.kernel.org/pub/linux/utils/cryptsetup/v2.1/v2.1.0-ReleaseNotes},
	urldate = {2022-04-21},
	file = {mirrors.edge.kernel.org/pub/linux/utils/cryptsetup/v2.1/v2.1.0-ReleaseNotes:/home/dan/Zotero/storage/83PSAYTL/v2.1.html:text/html},
}

@online{luks1,
  title={{LUKS1 On-Disk Format Specification, Version 1.2.3}},
  year={2018},
  note={\url{https://gitlab.com/cryptsetup/cryptsetup/wikis/Specification}}
}

@online{luks2,
  title={{LUKS2 On-Disk Format Specification, Version 1.1.0}},
  year={2022},
  note={\url{https://gitlab.com/cryptsetup/cryptsetup/wikis/Specification}},
}

@online{tcrypt,
  title={{TrueCrypt on-disk header format}},
  year={2015},
  note={\url{https://gitlab.com/cryptsetup/cryptsetup/-/wikis/TrueCryptOnDiskFormat}},
}

@online{csetup_man,
	title = {cryptsetup(8) - {Linux} manual page},
	url = {https://man7.org/linux/man-pages/man8/cryptsetup.8.html},
	urldate = {2022-04-23},
	year={2021},
}

@online{cryptenroll,
	title = {systemd-cryptenroll(1) - {Linux} manual page},
	url = {https://man7.org/linux/man-pages/man1/systemd-cryptenroll.1.html},
	urldate = {2022-04-23},
	year={2021},
}

@online{bitlocker,
	title = {{BitLocker} ({Windows} 10) - {Windows} security},
	url = {https://docs.microsoft.com/en-us/windows/security/information-protection/bitlocker/bitlocker-overview},
	abstract = {This topic provides a high-level overview of BitLocker, including a list of system requirements, practical applications, and deprecated features.},
	language = {en-us},
	urldate = {2022-04-23},
	date = {2021}
}

@online{veracrypt,
	title = {{VeraCrypt} - {Free} {Open} source disk encryption with strong security for the {Paranoid}},
	url = {https://veracrypt.fr/en/Home.html},
	urldate = {2022-04-23},
}

@MastersThesis{vojta_dp,
	AUTHOR = "Trefný, Vojtěch",
	TITLE = "Bitlocker šifrování disku v Linuxovém prostředí [online]",
	YEAR = "2019 [cit. 2022-04-23]",
	TYPE = "Master's thesis",
	SCHOOL = "Tomas Bata University in Zlín, Faculty of Applied Informatics",
	NOTE = "SUPERVISOR: Ing. Michal Bližňák, Ph.D.",
	URL = "https://theses.cz/id/4lro44/",
}

@misc{uuid,
	series =	{Request for Comments},
	number =	4122,
	howpublished =	{RFC 4122},
	publisher =	{RFC Editor},
	doi =		{10.17487/RFC4122},
	url =		{https://www.rfc-editor.org/info/rfc4122},
        author =	{Paul J. Leach and Rich Salz and Michael H. Mealling},
	title =		{{A Universally Unique IDentifier (UUID) URN Namespace}},
	pagetotal =	32,
	year =		2005,
	month =		jul,
}

@online{evil_maid,
	title = {The {Invisible} {Things} {Lab}'s blog: {Evil} {Maid} goes after {TrueCrypt}!},
	shorttitle = {The {Invisible} {Things} {Lab}'s blog},
	url = {https://theinvisiblethings.blogspot.com/2009/10/evil-maid-goes-after-truecrypt.html},
	urldate = {2022-04-29},
	journal = {The Invisible Things Lab's blog},
	author = {Rutkowska, Joanna},
	month = oct,
	year = {2009},
	keywords = {attack, disk encryption, fighting for a better world, tpm, trusted computing},
}

@online{udisks,
	title = {udisks},
	url = {https://github.com/storaged-project/udisks},
	urldate = {2022-04-29},
}

@online{automount,
	title = {{AutomaticallyMountPartitions} - {Community} {Help} {Wiki}},
	url = {https://help.ubuntu.com/community/AutomaticallyMountPartitions},
	urldate = {2022-04-29},
}

@online{ubuntu20,
	title = {Ubuntu 20.04.4 {LTS} ({Focal} {Fossa})},
	url = {https://releases.ubuntu.com/20.04.4/},
	urldate = {2022-04-30},
}

@online{structured_doc,
	title = {Structure-Aware Fuzzing with libFuzzer},
	url = {https://github.com/google/fuzzing/blob/bb05211c12328cb16327bb0d58c0c67a9a44576f/docs/structure-aware-fuzzing.md},
	urldate = {2022-04-30},
}

@online{afl_json_dict,
	title = {{AFL} dictionary for {JSON}},
	copyright = {Apache-2.0},
	url = {https://github.com/google/AFL/blob/61037103ae3722c8060ff7082994836a794f978e/dictionaries/json.dict},
	abstract = {american fuzzy lop - a security-oriented fuzzer},
	urldate = {2022-04-30},
	publisher = {Google},
	month = apr,
	year = {2022},
	note = {original-date: 2019-07-25T16:50:06Z},
}

@unpublished{structured_fuzzing,
	title= {Structure-aware fuzzing for {Clang} and {LLVM} with libprotobuf-mutator},
	author = {Kostya Serebryany and Vitaly Buka and Matt Morehouse},
	year = {2017},
	note= {2017 US LLVM Developers' Meeting},
	url = {https://www.youtube.com/watch?v=U60hC16HEDY},
	urldate = {2022-04-30},
}

@online{libprotobuf-mutator,
	title = {libprotobuf-mutator},
	url = {https://github.com/google/libprotobuf-mutator},
	urldate = {2022-04-15},
}

@online{protobuf,
	title = {Protocol {Buffers}: {Overview}},
	url = {https://developers.google.com/protocol-buffers/docs/overview},
	language = {en},
	urldate = {2022-04-30},
	file = {Snapshot:/home/dan/Zotero/storage/7FJQ9XHN/overview.html:text/html},
}

@online{protobuf_lang,
	title = {Protocol {Buffers}: {Language Guide}},
	url = {https://developers.google.com/protocol-buffers/docs/proto},
	language = {en},
	urldate = {2022-04-30},
}

@online{cryptsetup_issues,
	title = {cryptsetup {Issue} {Tracker}},
	url = {https://gitlab.com/cryptsetup/cryptsetup/-/issues},
	language = {en},
	urldate = {2022-04-30},
}

@online{cryptsetup_mr,
	title = {cryptsetup {Merge} {Requests}},
	url = {https://gitlab.com/cryptsetup/cryptsetup/-/merge_requests},
	language = {en},
	urldate = {2022-04-30},
}

@online{cryptsetup_mr,
	title = {cryptsetup {Merge} {Requests}},
	url = {https://gitlab.com/cryptsetup/cryptsetup/-/merge_requests},
	language = {en},
	urldate = {2022-04-30},
}

@online{dm-crypt,
	title = {dm-crypt: {Linux} kernel device-mapper crypto target},
	url = {https://gitlab.com/cryptsetup/cryptsetup/-/wikis/DMCrypt},
	language = {en},
	urldate = {2022-05-8},
}

@online{json-c,
	title = {The json-c {Project} {Page}},
	url = {https://github.com/json-c/json-c},
	language = {en},
	urldate = {2022-05-10},
}

@online{autoconf,
	title = {Autoconf},
	url = {https://www.gnu.org/software/autoconf/},
	language = {en},
	urldate = {2022-05-10},
}

@online{automake,
	title = {Automake},
	url = {https://www.gnu.org/software/automake/},
	language = {en},
	urldate = {2022-05-10},
}

@online{github-actions,
	title = {{GitHub} {Actions}},
	url = {https://github.com/features/actions},
	language = {en},
	urldate = {2022-05-11},
}

@online{wireshark,
	title = {Wireshark},
	url = {https://gitlab.com/wireshark/wireshark},
	language = {en},
	urldate = {2022-05-11},
}

@online{cifuzz,
	title = {{OSS-Fuzz}: {Continuous Integration}},
	url = {https://google.github.io/oss-fuzz/getting-started/continuous-integration/},
	language = {en},
	urldate = {2022-05-11},
}
